Edit Auto Recording Setting
Edit the auto recording settings, including recording prompts and recording targets.
Request URL
POST {base_url}/{api_path}/autorecord/update?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| enb_internal | No | Integer | Whether to record internal calls. Valid value:
|
| internal_prompt | No | String | The prompt that will be played when internal calls are being recorded. Note: You can query the available custom prompts using Get Menu Options ("menu":"custom_prompt"). |
| outbound_prompt | No | String | The prompt that will be played when outbound calls are being recorded. Note: You can query the available custom prompts using Get Menu Options ("menu":"custom_prompt"). |
| inbound_prompt | No | String | The prompt that will be played when inbound calls are being recorded. Note: You can query the available custom prompts using Get Menu Options ("menu":"custom_prompt"). |
| start_prompt | No | String | The prompt that will be played when recording starts during a call. Note:
|
| end_prompt | No | String | The prompt that will be played when recording is stopped during a call. Note:
|
| enb_channel_separate | No | Integer | Whether to record the caller and callee on separate channels, generating a stereo recording with left and right channels. Valid value:
|
| record_file_format | No | String | The file format of the recording when stereo recording is enabled. Valid value:
|
| enb_paging | No | Integer | Whether to record paging/intercom calls. Valid value:
|
| record_trunk_list | No | Array<Trunk_List> | Specify the trunks to be recorded. |
| record_ext_list | No | Array<Extension_List> | Specify the extensions to be recorded. |
| record_conference_list | No | Array<Conference_List> | Specify the conferences to be recorded. |
| record_queue_list | No | Array<Queue_List> | Specify the queues to be recorded. |
| record_ivr_list | No | Array<IVR_List> | Specify the IVRs to be recorded. |
Trunk_List
Note: You can query trunk information using Get Menu Options ("menu":"trunk").
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of a trunk. |
| type | No | String | Trunk type. |
| text | No | String | Trunk name. |
| enb_config | No | Integer | Whether to play a beep tone at regular intervals during a call to indicate that the call is being recorded. Valid value:
|
| number_value | No | Integer | The time interval (in seconds) at which the beep tone will be played. |
Extension_List
Note: You can query extension information using Get Menu Options ("menu":"extension").
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of extension, extension group, or organization. |
| type | Yes | String | The type of recording target. Valid value:
|
| text | No | String | Extension name, extension group name, or organization name. |
| text2 | No | String | Extension number, extension group name, or organization name. |
| enb_continue_record_on_transfer | No | Integer | Whether to continue call recording after the extensions transfer the incoming calls to another destination. Valid value:
|
Conference_List
Note: You can query conference information using Get Menu Options ("menu":"conference").
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of conference. |
| text | No | String | Conference name. |
Queue_List
Note: You can query queue information using Get Menu Options ("menu":"queue").
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of queue. |
| text | No | String | Queue name. |
| enb_continue_record_on_transfer | No | Integer | Whether to continue call recording after queue agents transfer incoming calls to another destination. Valid value:
|
IVR_List
Note: You can query IVR information using Get Menu Options ("menu":"ivr").
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of IVR. |
| text | No | String | IVR name. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
Examples
Request example
POST /openapi/v1.0/autorecord/update?access_token=iioRRjGzPoYGGJLjh7zkYfYxj3Xe4oqW HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json
{
"enb_internal": 1,
"internal_prompt": "internal_record.wav",
"inbound_prompt": "inbound_record.wav",
"outbound_prompt": "outbound_record.wav",
"start_prompt": "welcome.wav",
"end_prompt": "keypress.wav",
"enb_channel_separate": 1,
"record_file_format": "mp3",
"enb_paging": 1,
"record_trunk_list": [
{
"id": 5
}
],
"record_ext_list": [
{
"id": 18,
"type": "extension",
"enb_continue_record_on_transfer": 1
}
],
"record_conference_list": [
{
"id": 1
}
],
"record_ivr_list": [
{
"id": 5
}
],
"record_queue_list": [
{
"id": 9,
"enb_continue_record_on_transfer": 1
}
]
}Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS"
}